スマホに専用テーマを適用するプラグインとエラー

レスポンシブデザインでwordpressのテーマを作ることがありますが、
トップページの表示内容(特にテキストの分量)やサイドバーの構成を
スマホはスマホで作りたいので、スマホ専用のテーマを作ることも多いです。
※パソコン用に作ったテーマの子テーマとして作ります。

そして、スマホにだけ、専用テーマを使って表示させるのに、
Multi Device Switcherというwordpressプラグインを使っています。

が、このプラグイン、wordpressのプライグイン新規追加で入れたものは、
最新バージョンのため、古いバージョンのwordpressを使っているとエラーが出ます。
※プラグインのインストールと有効化ではトラブルはなし。外観>マルチデバイス、で設定しようとすると、エラー表示されます。

そこで調べたら、とってもとっても的確な解説の記事がありました。
WordPressプラグイン「Multi Device Switcher」で「Fatal error: Call to undefined function wp_get_theme()」エラー対処方法 – シングスブログ

新しいwordpressで非推奨になった記述があり、それが修正された最新バージョンのプラグインを使うから、旧バージョンのwordpressでエラーが出るとのこと。

解決策として、
⇒wordpressを最新バージョンにする
⇒古いバージョン( 1.0.3)のMulti Device Switcherを入れる

今回は、状況判断でMulti Device Switcherの古いバージョン( 1.0.3)を入れました。

古いバージョンのプラグインは、wordpressプラグイン公式サイトのdevelopersというタブのページにあります。ここにあったのかー、って感じです。ふう。
http://wordpress.org/extend/plugins/multi-device-switcher/developers/